Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## codeanticode.glgraphics
Class ShaderSemantics

    java.lang.Object
      codeanticode.glgraphics.ShaderSemantics

    public final class ShaderSemantics

extends java.lang.Object

Field Summary
`static int` | `AMBIENT`
`static int` | `CAMERA_OBJECTSPACE_POSITION`
`static int` | `CAMERA_WORLD_POSITION`
`static int` | `IDENTITY_MATRIX`
`static int` | `INVERSE_MATRIX`
`static int` | `INVERSE_TRANSPOSE_MATRIX`
`static int` | `LIGHT_OBJECTSPACE_POSITION`
`static int` | `LIGHT_WORLD_POSITION`
`static int` | `PROJ_INVERSE_MATRIX`
`static int` | `PROJ_INVERSE_TRANSPOSE_MATRIX`
`static int` | `PROJ_MATRIX`
`static int` | `PROJ_TRANSPOSE_MATRIX`
`static int` | `SPECULAR`
`static int` | `SPECULAR_POWER`
`static int` | `TRANSPOSE_MATRIX`
`static int` | `VIEW_INVERSE_MATRIX`
`static int` | `VIEW_INVERSE_TRANSPOSE_MATRIX`
`static int` | `VIEW_MATRIX`
`static int` | `VIEW_TRANSPOSE_MATRIX`
`static int` | `WORLD_INVERSE_MATRIX`
`static int` | `WORLD_INVERSE_TRANSPOSE_MATRIX`
`static int` | `WORLD_MATRIX`
`static int` | `WORLD_TRANSPOSE_MATRIX`
`static int` | `WORLDVIEWPROJECTION_MATRIX`

Constructor Summary
`ShaderSemantics()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WORLD_MATRIX

    public static final int WORLD_MATRIX

See Also:
  Constant Field Values

### WORLD_INVERSE_MATRIX

    public static final int WORLD_INVERSE_MATRIX

See Also:
  Constant Field Values

### WORLD_TRANSPOSE_MATRIX

    public static final int WORLD_TRANSPOSE_MATRIX

See Also:
  Constant Field Values

### WORLD_INVERSE_TRANSPOSE_MATRIX

    public static final int WORLD_INVERSE_TRANSPOSE_MATRIX

See Also:
  Constant Field Values

### VIEW_MATRIX

    public static final int VIEW_MATRIX

See Also:
  Constant Field Values

### VIEW_INVERSE_MATRIX

    public static final int VIEW_INVERSE_MATRIX

See Also:
  Constant Field Values

### VIEW_TRANSPOSE_MATRIX

    public static final int VIEW_TRANSPOSE_MATRIX

See Also:
  Constant Field Values

### VIEW_INVERSE_TRANSPOSE_MATRIX

    public static final int VIEW_INVERSE_TRANSPOSE_MATRIX

See Also:
  Constant Field Values

### PROJ_MATRIX

    public static final int PROJ_MATRIX

See Also:
  Constant Field Values

### PROJ_INVERSE_MATRIX

    public static final int PROJ_INVERSE_MATRIX

See Also:
  Constant Field Values

### PROJ_TRANSPOSE_MATRIX

    public static final int PROJ_TRANSPOSE_MATRIX

See Also:
  Constant Field Values

### PROJ_INVERSE_TRANSPOSE_MATRIX

    public static final int PROJ_INVERSE_TRANSPOSE_MATRIX

See Also:
  Constant Field Values

### WORLDVIEWPROJECTION_MATRIX

    public static final int WORLDVIEWPROJECTION_MATRIX

See Also:
  Constant Field Values

### CAMERA_WORLD_POSITION

    public static final int CAMERA_WORLD_POSITION

See Also:
  Constant Field Values

### LIGHT_WORLD_POSITION

    public static final int LIGHT_WORLD_POSITION

See Also:
  Constant Field Values

### CAMERA_OBJECTSPACE_POSITION

    public static final int CAMERA_OBJECTSPACE_POSITION

See Also:
  Constant Field Values

### LIGHT_OBJECTSPACE_POSITION

    public static final int LIGHT_OBJECTSPACE_POSITION

See Also:
  Constant Field Values

### AMBIENT

    public static final int AMBIENT

See Also:
  Constant Field Values

### SPECULAR

    public static final int SPECULAR

See Also:
  Constant Field Values

### SPECULAR_POWER

    public static final int SPECULAR_POWER

See Also:
  Constant Field Values

### IDENTITY_MATRIX

    public static final int IDENTITY_MATRIX

See Also:
  Constant Field Values

### INVERSE_MATRIX

    public static final int INVERSE_MATRIX

See Also:
  Constant Field Values

### TRANSPOSE_MATRIX

    public static final int TRANSPOSE_MATRIX

See Also:
  Constant Field Values

### INVERSE_TRANSPOSE_MATRIX

    public static final int INVERSE_TRANSPOSE_MATRIX

See Also:
  Constant Field Values

Constructor Detail

### ShaderSemantics

    public ShaderSemantics()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library glgraphics by Andres Colubri. (c) 2008